Show Company
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/companies/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/companies/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"contacts_count": 123,
"domain": "<string>",
"description": "<string>",
"legal_name": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>",
"tax_id_dv": "<string>",
"fiscal_responsibilities": [
"O-13"
],
"address": "<string>",
"city_name": "<string>",
"city_code": "<string>",
"department_code": "<string>",
"country_code": "<string>",
"bank_id": "<string>",
"bank_account_type": "savings",
"bank_account_number": "<string>",
"bank_certificate_on": "2023-12-25",
"rut_url": "<string>",
"rut_filename": "<string>",
"bank_certificate_url": "<string>",
"bank_certificate_filename": "<string>",
"fiscal_packet_complete": true,
"custom_attributes": {},
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"contacts": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"thumbnail": "<string>"
}
],
"billing_email": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Companies
Show Company
Get details of a specific company
GET
/
api
/
v1
/
accounts
/
{account_id}
/
companies
/
{id}
Show Company
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/companies/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/companies/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"contacts_count": 123,
"domain": "<string>",
"description": "<string>",
"legal_name": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>",
"tax_id_dv": "<string>",
"fiscal_responsibilities": [
"O-13"
],
"address": "<string>",
"city_name": "<string>",
"city_code": "<string>",
"department_code": "<string>",
"country_code": "<string>",
"bank_id": "<string>",
"bank_account_type": "savings",
"bank_account_number": "<string>",
"bank_certificate_on": "2023-12-25",
"rut_url": "<string>",
"rut_filename": "<string>",
"bank_certificate_url": "<string>",
"bank_certificate_filename": "<string>",
"fiscal_packet_complete": true,
"custom_attributes": {},
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"contacts": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"thumbnail": "<string>"
}
],
"billing_email": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Path Parameters
Response
Success